package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/4/25 17:59
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ClassifyAndGroupCountVO implements Serializable {

    @ApiModelProperty("社群码标识")
    private  Long bookGroupId;

    @ApiModelProperty("分类数量")
    private Integer classifyCount;

    @ApiModelProperty("群数量")
    private Integer groupCount;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Integer getClassifyCount() {
        return classifyCount;
    }

    public void setClassifyCount(Integer classifyCount) {
        this.classifyCount = classifyCount;
    }

    public Integer getGroupCount() {
        return groupCount;
    }

    public void setGroupCount(Integer groupCount) {
        this.groupCount = groupCount;
    }

    @Override
    public String toString() {
        return "ClassifyAndGroupCountVO{" +
                "bookGroupId=" + bookGroupId +
                ", classifyCount=" + classifyCount +
                ", groupCount=" + groupCount +
                '}';
    }
}
